Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference Class Reference

## Public Member Functions
| __construct ($route, array $params=[])
| setRoute ($route)
| getRoute ()
| getParams ()
| set ($parameterName, $value)
| Sets a route parameter. More...
| get ($parameterName, $defaultValue=null, $deep=false)
| Returns a route parameter. More...
| has ($parameterName)
| remove ($parameterName)
| Removes a route parameter. More...

## Private Attributes
| $params
| $route

## Detailed Description

Definition at line 11 of file RouteReference.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::__construct | ( |  | $route,
|  | array | $params = `[]`
| ) |  |

Definition at line 19 of file RouteReference.php.

References eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\$params, and eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\$route.

## Member Function Documentation

## ◆ get()

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::get | ( |  | $parameterName,
|  |  | $defaultValue = `null`,
|  |  | $deep = `false`
| ) |  |

Returns a route parameter.

Parameters

  string | $parameterName |
  mixed | $defaultValue |
  bool | $deep |

Returns
  mixed

Definition at line 69 of file RouteReference.php.

## ◆ getParams()

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::getParams | ( |  | ) |

Returns
  array

Definition at line 44 of file RouteReference.php.

## ◆ getRoute()

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::getRoute | ( |  | ) |

Returns
  mixed

Definition at line 36 of file RouteReference.php.

References eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\$route.

## ◆ has()

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::has | ( |  | $parameterName | ) |

Definition at line 74 of file RouteReference.php.

## ◆ remove()

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::remove | ( |  | $parameterName | ) |

Removes a route parameter.

Parameters

  string | $parameterName |

Definition at line 84 of file RouteReference.php.

## ◆ set()

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::set | ( |  | $parameterName,
|  |  | $value
| ) |  |

Sets a route parameter.

Parameters

  string | $parameterName |
  mixed | $value |

Definition at line 55 of file RouteReference.php.

## ◆ setRoute()

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::setRoute | ( |  | $route | ) |

Parameters

  mixed | $route |

Definition at line 28 of file RouteReference.php.

References eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\$route.

## Member Data Documentation

## ◆ $params

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::$params
| private

Definition at line 14 of file RouteReference.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\__construct().

## ◆ $route

eZ\Publish\Core\MVC\Symfony\Routing\RouteReference::$route
| private

Definition at line 17 of file RouteReference.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\__construct(), eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\getRoute(), and eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\setRoute().

The documentation for this class was generated from the following file:

- RouteReference.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.